Skip to content

Update Plot Point

PUT
/api/creative/plot/points/{point_id}

Update a plot point.

point_id
required
Point Id
string
PlotPointUpdateRequest

Update an existing plot point.

object
title
Any of:
string
>= 1 characters <= 500 characters
description
Any of:
string
pointType
Any of:
string
Allowed values: beat turning_point inciting_incident climax resolution setup escalation reversal
beatSheetPositionId
Any of:
string
intensity
Any of:
integer
<= 100
status
Any of:
string
Allowed values: planned drafted revised final
notes
Any of:
string
documentId
Any of:
string
wordCountTarget
Any of:
integer
povType
Any of:
string
Allowed values: first_person second_person third_limited third_omniscient third_objective multiple_first deep_third stream_of_consciousness unreliable
povEntityId
Any of:
string
sceneType
Any of:
string
Allowed values: scene sequel hybrid flashback vision dream
sceneOutcome
Any of:
string
Allowed values: success failure partial disaster yes_but no_and pyrrhic unexpected
sourceNodeType
Any of:
string
Allowed values: series book part act chapter scene beat

Successful Response

PlotPointResponse

Single plot point response wrapper.

object
status
required
Status

Operation status

string
data
required
PlotPoint

The plot point

object
id
required
Id

Plot point UUID

string
plotlineId
required
Plotlineid

Parent plotline

string
title
required
Title

Point title

string
description
Description

Point description

string
""
pointType
Pointtype

Beat type

string
default: beat
Allowed values: beat turning_point inciting_incident climax resolution setup escalation reversal
beatSheetPositionId
Any of:
string
intensity
Intensity

Arc intensity 0-100

integer
default: 50 <= 100
sortOrder
Sortorder

Sort position

integer
0
status
Status

Drafting status

string
default: planned
Allowed values: planned drafted revised final
notes
Notes

Private author notes

string
""
documentId
Any of:
string
wordCountTarget
Any of:
integer
povType
Any of:
string
Allowed values: first_person second_person third_limited third_omniscient third_objective multiple_first deep_third stream_of_consciousness unreliable
povEntityId
Any of:
string
sceneType
Any of:
string
Allowed values: scene sequel hybrid flashback vision dream
sceneOutcome
Any of:
string
Allowed values: success failure partial disaster yes_but no_and pyrrhic unexpected
sourceNodeType
Any of:
string
Allowed values: series book part act chapter scene beat
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object